Auth API
POST /api/v1/auth/login
Section titled “POST /api/v1/auth/login”Login
Request body (required), application/json, LoginIn
| Field | Type | Required | Description |
|---|---|---|---|
email | string | yes | |
password | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
POST /api/v1/auth/logout
Section titled “POST /api/v1/auth/logout”Logout
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
GET /api/v1/auth/me
Section titled “GET /api/v1/auth/me”Me
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
GET /api/v1/auth/oidc/callback
Section titled “GET /api/v1/auth/oidc/callback”Oidc Callback
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
state | query | string | yes | |
code | query | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
DELETE /api/v1/auth/oidc/config
Section titled “DELETE /api/v1/auth/oidc/config”Oidc Config Delete
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
GET /api/v1/auth/oidc/config
Section titled “GET /api/v1/auth/oidc/config”Oidc Config Get
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
PUT /api/v1/auth/oidc/config
Section titled “PUT /api/v1/auth/oidc/config”Oidc Config Put
Request body (required), application/json, OIDCConfigIn
| Field | Type | Required | Description |
|---|---|---|---|
client_id | string | yes | |
client_secret | string | yes | |
issuer | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/auth/oidc/login
Section titled “GET /api/v1/auth/oidc/login”Oidc Login
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
GET /api/v1/auth/sessions
Section titled “GET /api/v1/auth/sessions”List Sessions
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
DELETE /api/v1/auth/sessions/{sid}
Section titled “DELETE /api/v1/auth/sessions/{sid}”Revoke Session Route
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
sid | path | integer | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
DELETE /api/v1/auth/totp
Section titled “DELETE /api/v1/auth/totp”Totp Disable
Request body (required), application/json, TotpDisableIn
| Field | Type | Required | Description |
|---|---|---|---|
password | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
POST /api/v1/auth/totp
Section titled “POST /api/v1/auth/totp”Totp Login
Request body (required), application/json, TotpLoginIn
| Field | Type | Required | Description |
|---|---|---|---|
code | string | yes | |
pending | string | yes | |
remember | boolean | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
POST /api/v1/auth/totp/confirm
Section titled “POST /api/v1/auth/totp/confirm”Totp Confirm
Request body (required), application/json, TotpConfirmIn
| Field | Type | Required | Description |
|---|---|---|---|
code | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
POST /api/v1/auth/totp/enroll
Section titled “POST /api/v1/auth/totp/enroll”Totp Enroll
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
POST /api/v1/auth/totp/recovery-codes/regenerate
Section titled “POST /api/v1/auth/totp/recovery-codes/regenerate”Totp Regenerate Recovery Codes
Request body (required), application/json, TotpDisableIn
| Field | Type | Required | Description |
|---|---|---|---|
password | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/auth/trusted-devices
Section titled “GET /api/v1/auth/trusted-devices”List Trusted Devices
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
DELETE /api/v1/auth/trusted-devices/{did}
Section titled “DELETE /api/v1/auth/trusted-devices/{did}”Revoke Trusted Device
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
did | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |